Skip to main content
POST
Create vendor refund

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to create a vendor refund for.

Body

application/json

Simple vendor refund creation parameters. The system will automatically calculate the refund amount based on the specified target (bill, line item, or payment). At least one target identifier must be provided.

completed_at
string<date-time>
required

The time the vendor refund was completed.

method
enum<string>
required

The payment method used for the refund.

Available options:
CASH,
CHECK,
CREDIT_CARD,
ACH,
CREDIT_BALANCE,
OTHER
external_id
string | null

An external identifier for the vendor refund transaction.

bill_id
string<uuid> | null

The ID of the bill to refund.

bill_external_id
string | null

The external ID of the bill to refund.

bill_line_item_id
string<uuid> | null

The ID of the bill line item to refund.

bill_line_item_external_id
string | null

The external ID of the bill line item to refund.

bill_payment_id
string<uuid> | null

The ID of the bill payment to refund.

bill_payment_external_id
string | null

The external ID of the bill payment to refund.

refund_processing_fee
integer<int64>
default:0

The fee charged to the business for processing the refund in cents.

processor
string | null

The payment processor used to process the refund.

Example:

"STRIPE"

tags
object[]

Tags to associate with the vendor refund.

memo
string | null

Memo for any text you would like to associate with the vendor refund (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the vendor refund. Can be used to filter when listing vendor refunds.

Response

Vendor refund has been successfully updated or unchanged.

data
object
required

A vendor refund represents a transaction where a vendor returns value to a business. A specific bill can be refunded or a general refund can be applied to a vendor.